# Edit +

# Troubleshooting
Edit+ works by loading the relevant entity form into the sidebar as a "context" sidebar. The form items are hidden initially, but when an editable element is clicked on the page the form item is swapped into place for inline editing.

### Associating the Form Item with the Page element
This should happen automatically for most field items. If there are custom things going on it needs to satisfy a few things. To make the UI aware of an editable page element it needs to end up with the following markup or provide its own Edit+ field widget JS plugin. There can of course be more to this markup, but these are whats required for inline editing. Please see `edit_plus_preprocess_field()` for details.
```html
<div data-edit-plus-field-value-wrapper="block_content::bc74a654-2ba6-447a-a8a0-497776cb2ba4::field_links_links::value">
  <div class="edit-plus-field-value" data-edit-plus-id="block_content::bc74a654-2ba6-447a-a8a0-497776cb2ba4::field_links_links::0::en::default::link::link::value" data-edit-plus-page-element-id="block_content::bc74a654-2ba6-447a-a8a0-497776cb2ba4::field_links_links::0::value">
    <a href="https://www.puvaphesw.gov">https://www.puvaphesw.gov</a>
  </div>
</div>
```
To relate the above editable page element to the form item that was loaded when it was clicked we need the following markup on the form item.
```html
<!-- @todo add an example 😅 -->
```

### Inline Editing z-index
If the inline editing z-index is undesirable for your theme override it with. Since the inline editor is visually moved out of the sidebar, it inherits whatever the sidebar z-index is.
```html
.toolbar-plus-sidebar {
  z-index: 2;
}
```

### Pop out width
Say you have an inline editable element, like a paragraph or a media item, and the form item widget is too big to fit inline. You can form alter a `data-pop-out-width=618` attribute onto the form item wrapper and when ever the space to edit in is smaller than the form item will show up in a pop out.

