<?php

declare(strict_types=1);

namespace Drupal\edit_plus_workspaces;

use Symfony\Component\DependencyInjection\Reference;
use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceModifierInterface;
use Drupal\edit_plus_workspaces\ParamConverter\WorkspacesEntityConverter;

/**
 * Defines a service provider for the Edit + Workspaces module.
 */
final class EditPlusWorkspacesServiceProvider implements ServiceModifierInterface {

  /**
   * {@inheritdoc}
   */
  public function alter(ContainerBuilder $container): void {
    if ($container->hasDefinition('edit_plus.param_converter.entity')) {
      $definition = $container->getDefinition('edit_plus.param_converter.entity');
      $definition->setClass(WorkspacesEntityConverter::class);
      $definition->addArgument(new Reference('workspaces.manager'));
    }
  }

}
